vexalarm.options.tagWindow.text = "You can use the following tags.\n\n'Specific colored' means that you can choose the color it is displayed in.\nGo to 'Frame Manager' 'Outputs' to adjust the color.\n\nCastername:\n|CFFFF7D0A[caster]|r uncolored, |CFFFF7D0A[caster_sc]|r specific colored, |CFFFF7D0A[caster_cc]|r classcolored\n\nTargetname:\n|CFFFF7D0A[target]|r uncolored, |CFFFF7D0A[target_sc]|r specific colored, |CFFFF7D0A[target_cc]|r classcolored\nTarget tags are only usable for 'buffs' and 'casts with targets'!\n\nSpellname:\n|CFFFF7D0A[spell]|r uncolored, |CFFFF7D0A[spell_sc]|r specific colored, |CFFFF7D0A[spell_cc]|r classcolored\n\nstatus:\n|CFFFF7D0A[status]|r uncolored, |CFFFF7D0A[status_sc]|r specific colored"
vexalarm.options.tagWindow.textRW = "You can use the following tags.\n\nYou can use the following tags to parse information in the messages\n\nCastername: |CFFFF7D0A[caster]|r \n\nTargetname: |CFFFF7D0A[target]|r \nTarget tags are only usable for 'buffs' and 'casts with targets'!\n\nSpellname: |CFFFF7D0A[spell]|r \n\nstatus: |CFFFF7D0A[status]|r\n\nDue to Blizzard's chat message restrictions some special characters\nin messages can cause errors!"

function vexalarm.options.tagWindow.toggle(rw)
	if not(vexalarm.options.tagWindow.active) then
		--Frame
		if vexalarm.options.tagWindow.window == nil then
			vexalarm.options.tagWindow.window = CreateFrame("Frame", nil, InterfaceOptionsFramePanelContainer)
		
			vexalarm.options.tagWindow.window:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
			vexalarm.options.tagWindow.window:SetBackdropColor(0.3, 0.3, 0.3, 0.8)
			vexalarm.options.tagWindow.window:SetBackdropBorderColor(0,0,0,1)
			vexalarm.options.tagWindow.window:SetFrameStrata("TOOLTIP")
			
			vexalarm.options.tagWindow.window:RegisterForDrag("LeftButton")
			vexalarm.options.tagWindow.window:SetScript("OnDragStart", function ()
				vexalarm.options.tagWindow.window:StartMoving()
				end)
			vexalarm.options.tagWindow.window:SetScript("OnDragStop", function (self)
				self:StopMovingOrSizing()
				end)
			vexalarm.options.tagWindow.window:EnableMouse(true)
			vexalarm.options.tagWindow.window:SetMovable(true)
			
			
			--FontString
			vexalarm.options.tagWindow.frame = vexalarm.options.tagWindow.window:CreateFontString("vexalarm.options.tagWindow.frame", "OVERLAY", "GameFontNormal")
			vexalarm.options.tagWindow.frame:ClearAllPoints()
			vexalarm.options.tagWindow.frame:SetPoint("TOPLEFT", vexalarm.options.tagWindow.window, "TOPLEFT", 5, -5)
			vexalarm.options.tagWindow.frame:SetTextColor(1, 1, 1, 1)
			vexalarm.options.tagWindow.frame:SetFont(vexalarm.LSM:Fetch("font", "Friz Quadrata TT"), 10)
			vexalarm.options.tagWindow.frame:SetJustifyH("LEFT")
			
			--CloseButton
			vexalarm_tagWindowButton = CreateFrame("Button", "vexalarm_tagWindowButton", vexalarm.options.tagWindow.window, "UIPanelButtonTemplate")
			vexalarm_tagWindowButton:SetWidth(50)
			vexalarm_tagWindowButton:SetHeight(20)
			vexalarm_tagWindowButton:SetScale(0.7)
			vexalarm_tagWindowButton:SetPoint("TOPRIGHT", vexalarm.options.tagWindow.window, "TOPRIGHT", -6, -5)
			vexalarm_tagWindowButton:SetText("Close")
			vexalarm_tagWindowButton:SetScript("OnClick", function () vexalarm.options.tagWindow.toggle() end)
		end
		
		if rw then
			vexalarm.options.tagWindow.frame:SetText(vexalarm.options.tagWindow.textRW)
		else
			vexalarm.options.tagWindow.frame:SetText(vexalarm.options.tagWindow.text)
		end
		
		vexalarm.options.tagWindow.window:SetWidth(vexalarm.options.tagWindow.frame:GetWidth()+10)
		vexalarm.options.tagWindow.window:SetHeight(vexalarm.options.tagWindow.frame:GetHeight()+10)
		vexalarm.options.tagWindow.window:ClearAllPoints()
		vexalarm.options.tagWindow.window:SetPoint("TOPLEFT", InterfaceOptionsFramePanelContainer, "TOPRIGHT", 0, 0)
		vexalarm.options.tagWindow.window:Show()
		vexalarm.options.tagWindow.active = true
	else
		vexalarm.options.tagWindow.window:Hide()
		vexalarm.options.tagWindow.active = false
	end
end